收藏
回答

请教,想用云函数对EXCEL表进行读写操作,安装node-xlsx遇到问题,怎么解决?

想在云函数里对EXCEL表进行读写之类的操作,按照百度到的教程,在云函数里安装了

'node-xlsx',并且安装成功


然后右键云函数->上传并部署:所有文件,此时提示需要安装'wx-server-sdk',于是按照教程安装,使用这条指令安装npm install --save wx-server-sdk@latest’,安装到最后出现一连串的npm ERR错误提示


无视这些错误,继续右键云函数->上传并部署:所有文件,然后运行时提示如下错误


请问这样的问题怎么解决?静候大神解答,谢谢啦!!!


最后一次编辑于  2天前
回答关注问题邀请回答
收藏

3 个回答

  • o0o有脾气的酸奶
    o0o有脾气的酸奶
    1天前

    谢邀

    在云函数package.json里的dependencies引入你需要的包版本即可,然后右键选 上传并部署: 云端安装依赖



    1天前
    赞同 1
    回复 1
    • 保罗哥
      保罗哥
      1天前
      真的可以,好神奇,谢谢啦!!!
      1天前
      回复
  • 罗梅光
    罗梅光
    2天前

    有安装node吗?node -v

    2天前
    赞同
    回复 4
    • 保罗哥
      保罗哥
      2天前
      有的
      2天前
      回复
    • 罗梅光
      罗梅光
      2天前回复保罗哥
      node版本怎么这么低?0.10.38?
      2天前
      回复
    • 保罗哥
      保罗哥
      1天前
      可以给个高版本的下载链接吗?谢谢啦!!!
      1天前
      回复
    • 罗梅光
      罗梅光
      1天前回复保罗哥
      自己去下载,百度搜。
      1天前
      回复
  • 子杰
    子杰
    2天前

    使用npm install --save wx-server-sdk试一试?

    2天前
    赞同
    回复 6
    • 保罗哥
      保罗哥
      2天前
      还是不行哦,还是会有很多npm ERR提示
      2天前
      回复
    • 子杰
      子杰
      2天前回复保罗哥
      新的ERR贴出来看看
      2天前
      回复
    • 保罗哥
      保罗哥
      2天前
      挺多的,这是最后几行的截图
      2天前
      回复
    • 子杰
      子杰
      2天前回复保罗哥
      有可能是你本地的npm没配置好。你也可以选择在云端安装依赖。
      2天前
      回复
    • 保罗哥
      保罗哥
      2天前回复子杰
      你是说云端安装‘node-xlsx’依赖吗?请问怎么操作?
      2天前
      回复
    查看更多(1)
问题标签